// ShaderModule class header
#pragma once

namespace nf::client::render {
    class ShaderModule {
    public:
        ShaderModule(const VkDevice& device, const std::string& shaderBinary);

        VkShaderModule& getHandle();

        ~ShaderModule();
    private:
        const VkDevice& m_device;

        VkShaderModule m_shaderModule;
    };
}
