// NF Client class header
#pragma once

#include "nf/config.h"
#include "Window.h"
#include "render/RenderEngine.h"

namespace nf::client {
    class Client {
    public:
        Client(ClientConfig config);

        void run();
    private:
        void runInputThread(std::promise<std::shared_ptr<Window>> windowPromise);

        bool m_running;
        ClientConfig m_config;
        std::unique_ptr<render::RenderEngine> m_renderEngine;
    };
}
